@REM  Betty-TV-Fernbedienung
@ECHO OFF
SET ARMBASE = E:\YAGARTO
SET PATH    = %ARMBASE%\BIN
SET LIBPATH = $(ARMBASE)/lib/gcc/arm-none-eabi/4.3.2

echo Assembliere Startup
ARM-NONE-EABI-AS -a=Startup_LPC2220gcc.lst -o Startup_LPC2220gcc.o -mcpu=arm7tdmi -D -EL -mthumb-interwork Startup_LPC2220gcc.asm
if Errorlevel==1 goto ende

echo Compile Interrupts (zu ARM-Code!)
ARM-NONE-EABI-GCC -mcpu=arm7tdmi -D GCC  -std=c99 -mthumb-interwork -c  interrupts.c
if Errorlevel==1 goto ende

echo Compile Setup
ARM-NONE-EABI-GCC @compile_gcc.xcl setup.c
if Errorlevel==1 goto ende

echo Compile Serial
ARM-NONE-EABI-GCC @compile_gcc.xcl serial.c
if Errorlevel==1 goto ende

echo Compile Systemtick
ARM-NONE-EABI-GCC @compile_gcc.xcl systemtick.c
if Errorlevel==1 goto ende

echo Compile Tasten
ARM-NONE-EABI-GCC @compile_gcc.xcl tasten.c
if Errorlevel==1 goto ende

echo Compile Cmd
ARM-NONE-EABI-GCC @compile_gcc.xcl cmd.c
if Errorlevel==1 goto ende

echo Compile Conv
ARM-NONE-EABI-GCC @compile_gcc.xcl conv.c
if Errorlevel==1 goto ende

echo Compile GDI
ARM-NONE-EABI-GCC @compile_gcc.xcl gdi.c
if Errorlevel==1 goto ende

echo Compile Events
ARM-NONE-EABI-GCC @compile_gcc.xcl events.c
if Errorlevel==1 goto ende

echo Compile Menu
ARM-NONE-EABI-GCC @compile_gcc.xcl menu.c
if Errorlevel==1 goto ende

echo Compile BettyWorks
ARM-NONE-EABI-GCC @compile_gcc.xcl BettyWorkMenu.c
if Errorlevel==1 goto ende

echo Compile AppFinder
ARM-NONE-EABI-GCC @compile_gcc.xcl appfinder.c
if Errorlevel==1 goto ende

echo Compile Main
ARM-NONE-EABI-GCC @compile_gcc.xcl main.c
if Errorlevel==1 goto ende

echo Linken geht noch nicht
goto ende

echo Linke
ARM-NONE-EABI-LD @link_gcc.xcl
if Errorlevel==1 goto ende

echo Mache Hex
fromelf --output BettyBASE.HEX --i32 linked.axf
if Errorlevel==1 goto ende

echo Mache Bin
fromelf --output BettyBASE.bin --bin linked.axf
if Errorlevel==1 goto ende

echo So, das war's.
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

